package com.fs.his.mapper;

import java.util.List;
import com.fs.his.domain.FsArticleCate;
import com.fs.his.vo.OptionsVO;
import org.apache.ibatis.annotations.Select;

/**
 * 文章分类Mapper接口
 *
 * @author fs
 * @date 2023-07-04
 */
public interface FsArticleCateMapper
{
    /**
     * 查询文章分类
     *
     * @param cateId 文章分类主键
     * @return 文章分类
     */
    public FsArticleCate selectFsArticleCateByCateId(Long cateId);

    /**
     * 查询文章分类列表
     *
     * @param fsArticleCate 文章分类
     * @return 文章分类集合
     */
    public List<FsArticleCate> selectFsArticleCateList(FsArticleCate fsArticleCate);

    /**
     * 新增文章分类
     *
     * @param fsArticleCate 文章分类
     * @return 结果
     */
    public int insertFsArticleCate(FsArticleCate fsArticleCate);

    /**
     * 修改文章分类
     *
     * @param fsArticleCate 文章分类
     * @return 结果
     */
    public int updateFsArticleCate(FsArticleCate fsArticleCate);

    /**
     * 删除文章分类
     *
     * @param cateId 文章分类主键
     * @return 结果
     */
    public int deleteFsArticleCateByCateId(Long cateId);

    /**
     * 批量删除文章分类
     *
     * @param cateIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFsArticleCateByCateIds(Long[] cateIds);

    @Select("select cate_id dictValue,cate_name dictLabel FROM fs_article_cate")
    List<OptionsVO> selectFsArticleCateAllList();
    @Select("select * FROM fs_article_cate where is_del=0")
    List<FsArticleCate> selectFsArticleCateAllListVO();
}
